Create Shipping Method
1 min
POST
https://api.upstartcommerce.com/v1/shipping-method
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobject
201<p>Success-shipping method created.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
500Internal server error.
curl --request POST \
--url https://api.upstartcommerce.com/v1/shipping-method \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"calculator": "",
"limits": {
"dimensions": {
"width": 10.5,
"length": 20,
"height": 15,
"unit": "cm"
},
"weight": {
"value": 2.5,
"unit": "kg"
}
},
"name": "",
"siteIds": []
}'